KGCMUtil_256 (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.modes.kgcm

## Class KGCMUtil_256

- java.lang.Object
- - org.bouncycastle.crypto.modes.kgcm.KGCMUtil_256

-     public class KGCMUtil_256
      extends java.lang.Object

  Utilities for the GF(2^m) field with corresponding extension polynomial:

       GF (2^256) -> x^256 + x^10 + x^5 + x^2 + 1

  The representation is little-endian arrays of 64-bit words

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KGCMUtil_256()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `add(long[] x, long[] y, long[] z)`
    `static void` | `copy(long[] x, long[] z)`
    `static boolean` | `equal(long[] x, long[] y)`
    `static void` | `multiply(long[] x, long[] y, long[] z)`
    `static void` | `multiplyX(long[] x, long[] z)`
    `static void` | `multiplyX8(long[] x, long[] z)`
    `static void` | `one(long[] z)`
    `static void` | `square(long[] x, long[] z)`
    `static void` | `x(long[] z)`
    `static void` | `zero(long[] z)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SIZE

          public static final int SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KGCMUtil_256

          public KGCMUtil_256()

  - ### Method Detail

    - #### add

          public static void add(long[] x,
                                 long[] y,
                                 long[] z)

    - #### copy

          public static void copy(long[] x,
                                  long[] z)

    - #### equal

          public static boolean equal(long[] x,
                                      long[] y)

    - #### multiply

          public static void multiply(long[] x,
                                      long[] y,
                                      long[] z)

    - #### multiplyX

          public static void multiplyX(long[] x,
                                       long[] z)

    - #### multiplyX8

          public static void multiplyX8(long[] x,
                                        long[] z)

    - #### one

          public static void one(long[] z)

    - #### square

          public static void square(long[] x,
                                    long[] z)

    - #### x

          public static void x(long[] z)

    - #### zero

          public static void zero(long[] z)